<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TaskOutputs (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TaskOutputs (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/tasks/TaskPropertyBuilder.html" title="interface in org.gradle.api.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/TaskOutputs.html" target="_top">Frames</a></li>
<li><a href="TaskOutputs.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks</div>
<h2 title="Interface TaskOutputs" class="title">Interface TaskOutputs</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskOutputs</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">TaskOutputs</span>
extends <a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskOutputs</a></pre>
<div class="block"><p>A <code>TaskOutputs</code> represents the outputs of a task.</p>

 <p>You can obtain a <code>TaskOutputs</code> instance using <a href="../../../../org/gradle/api/Task.html#getOutputs()"><code>Task.getOutputs()</code></a>.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#cacheIf(org.gradle.api.specs.Spec)">cacheIf</a></strong>(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;spec)</code>
<div class="block">Cache the results of the task only if the given spec is satisfied.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#cacheIf(java.lang.String,%20org.gradle.api.specs.Spec)">cacheIf</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cachingEnabledReason,
       <a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;spec)</code>
<div class="block">Cache the results of the task only if the given spec is satisfied.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#dir(java.lang.Object)">dir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</code>
<div class="block">Registers an output directory for this task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#dirs(java.lang.Object...)">dirs</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</code>
<div class="block">Registers some output directories for this task.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#doNotCacheIf(java.lang.String,%20org.gradle.api.specs.Spec)">doNotCacheIf</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cachingDisabledReason,
            <a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;spec)</code>
<div class="block">Disable caching the results of the task if the given spec is satisfied.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#file(java.lang.Object)">file</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</code>
<div class="block">Registers some output file for this task.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#files(java.lang.Object...)">files</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</code>
<div class="block">Registers some output files for this task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#getFiles()">getFiles</a></strong>()</code>
<div class="block">Returns the output files of this task.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#getHasOutput()">getHasOutput</a></strong>()</code>
<div class="block">Returns true if this task has declared any outputs.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#upToDateWhen(groovy.lang.Closure)">upToDateWhen</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;upToDateClosure)</code>
<div class="block">Adds a predicate to determine whether the outputs of this task are up-to-date.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#upToDateWhen(org.gradle.api.specs.Spec)">upToDateWhen</a></strong>(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;upToDateSpec)</code>
<div class="block">Adds a predicate to determine whether the outputs of this task are up-to-date.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="upToDateWhen(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>upToDateWhen</h4>
<pre>void&nbsp;upToDateWhen(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;upToDateClosure)</pre>
<div class="block"><p>Adds a predicate to determine whether the outputs of this task are up-to-date. The given closure is executed
 at task execution time. The closure is passed the task as a parameter. If the closure returns false, the task
 outputs are considered out-of-date and the task will be executed.</p>

 <p>You can add multiple such predicates. The task outputs are considered out-of-date when any predicate returns
 false.<p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>upToDateClosure</code> - The closure to use to determine whether the task outputs are up-to-date.</dd></dl>
</li>
</ul>
<a name="upToDateWhen(org.gradle.api.specs.Spec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>upToDateWhen</h4>
<pre>void&nbsp;upToDateWhen(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;upToDateSpec)</pre>
<div class="block"><p>Adds a predicate to determine whether the outputs of this task are up-to-date. The given spec is evaluated at
 task execution time. If the spec returns false, the task outputs are considered out-of-date and the task will be
 executed.</p>

 <p>You can add multiple such predicates. The task outputs are considered out-of-date when any predicate returns
 false.<p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>upToDateSpec</code> - The spec to use to determine whether the task outputs are up-to-date.</dd></dl>
</li>
</ul>
<a name="cacheIf(org.gradle.api.specs.Spec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cacheIf</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
void&nbsp;cacheIf(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;spec)</pre>
<div class="block"><p>Cache the results of the task only if the given spec is satisfied. If the spec is not satisfied,
 the results of the task will not be cached.</p>

 <p>You may add multiple such predicates. The results of the task are not cached if any of the predicates return <code>false</code>,
 or if any of the predicates passed to <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#doNotCacheIf(java.lang.String,%20org.gradle.api.specs.Spec)"><code>doNotCacheIf(String, Spec)</code></a> returns <code>true</code>. If <code>cacheIf()</code> is not specified,
 the task will not be cached unless the @<a href="../../../../org/gradle/api/tasks/CacheableTask.html" title="annotation in org.gradle.api.tasks"><code>CacheableTask</code></a> annotation is present on the task type.</p>

 <p>Consider using <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#cacheIf(java.lang.String,%20org.gradle.api.specs.Spec)"><code>cacheIf(String, Spec)</code></a> instead for also providing a reason for disabling caching.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>spec</code> - specifies if the results of the task should be cached.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.0</dd></dl>
</li>
</ul>
<a name="cacheIf(java.lang.String, org.gradle.api.specs.Spec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cacheIf</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
void&nbsp;cacheIf(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cachingEnabledReason,
                      <a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;spec)</pre>
<div class="block"><p>Cache the results of the task only if the given spec is satisfied. If the spec is not satisfied,
 the results of the task will not be cached.</p>

 <p>You may add multiple such predicates. The results of the task are not cached if any of the predicates return <code>false</code>,
 or if any of the predicates passed to <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#doNotCacheIf(java.lang.String,%20org.gradle.api.specs.Spec)"><code>doNotCacheIf(String, Spec)</code></a> returns <code>true</code>. If <code>cacheIf()</code> is not specified,
 the task will not be cached unless the @<a href="../../../../org/gradle/api/tasks/CacheableTask.html" title="annotation in org.gradle.api.tasks"><code>CacheableTask</code></a> annotation is present on the task type.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>cachingEnabledReason</code> - the reason why caching would be enabled by the spec.</dd><dd><code>spec</code> - specifies if the results of the task should be cached.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
<a name="doNotCacheIf(java.lang.String, org.gradle.api.specs.Spec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doNotCacheIf</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
void&nbsp;doNotCacheIf(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;cachingDisabledReason,
                           <a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;spec)</pre>
<div class="block"><p>Disable caching the results of the task if the given spec is satisfied. The spec will be evaluated at task execution time, not
 during configuration. If the spec is not satisfied, the results of the task will be cached according to <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#cacheIf(org.gradle.api.specs.Spec)"><code>cacheIf(Spec)</code></a>.</p>

 <p>You may add multiple such predicates. The results of the task are not cached if any of the predicates return <code>true</code>,
 or if any of the predicates passed to <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#cacheIf(java.lang.String,%20org.gradle.api.specs.Spec)"><code>cacheIf(String, Spec)</code></a> returns <code>false</code>.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>cachingDisabledReason</code> - the reason why caching would be disabled by the spec.</dd><dd><code>spec</code> - specifies if the results of the task should not be cached.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd></dl>
</li>
</ul>
<a name="getHasOutput()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHasOutput</h4>
<pre>boolean&nbsp;getHasOutput()</pre>
<div class="block">Returns true if this task has declared any outputs. Note that a task may be able to produce output files and
 still have an empty set of output files.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this task has declared any outputs, otherwise false.</dd></dl>
</li>
</ul>
<a name="getFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFiles</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getFiles()</pre>
<div class="block">Returns the output files of this task.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The output files. Returns an empty collection if this task has no output files.</dd></dl>
</li>
</ul>
<a name="files(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>files</h4>
<pre><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a>&nbsp;files(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</pre>
<div class="block">Registers some output files for this task.

 <p>When the given <code>paths</code> is a <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util"><code>Map</code></a>, then each output file
 will be associated with an identity. For cacheable tasks this is a requirement.
 The keys of the map must be <a href="http://docs.oracle.com/javase/specs/jls/se7/html/jls-3.html#jls-3.8">valid Java identifiers</a>.
 The values of the map will be evaluated to individual files as per
 <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>.</p>

 <p>Otherwise the given files will be evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>,
 and task output caching will be disabled for the task.</p></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html#files(java.lang.Object...)">files</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskOutputs</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>paths</code> - The output files.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/tasks/CacheableTask.html" title="annotation in org.gradle.api.tasks"><code>CacheableTask</code></a></dd></dl>
</li>
</ul>
<a name="dirs(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dirs</h4>
<pre><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a>&nbsp;dirs(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</pre>
<div class="block">Registers some output directories for this task.

 <p>When the given <code>paths</code> is a <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util"><code>Map</code></a>, then each output directory
 will be associated with an identity. For cacheable tasks this is a requirement.
 The keys of the map must be <a href="http://docs.oracle.com/javase/specs/jls/se7/html/jls-3.html#jls-3.8">valid Java identifiers</a>.
 The values of the map will be evaluated to individual directories as per
 <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>.</p>

 <p>Otherwise the given directories will be evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>,
 and task output caching will be disabled for the task.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>paths</code> - The output files.</dd><dt><span class="strong">Since:</span></dt>
  <dd>3.3</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/tasks/CacheableTask.html" title="annotation in org.gradle.api.tasks"><code>CacheableTask</code></a></dd></dl>
</li>
</ul>
<a name="file(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>file</h4>
<pre><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a>&nbsp;file(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</pre>
<div class="block">Registers some output file for this task.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html#file(java.lang.Object)">file</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskOutputs</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The output file. The given path is evaluated as per <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>.</dd>
<dt><span class="strong">Returns:</span></dt><dd>a property builder to further configure this property.</dd></dl>
</li>
</ul>
<a name="dir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dir</h4>
<pre><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a>&nbsp;dir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</pre>
<div class="block">Registers an output directory for this task.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html#dir(java.lang.Object)">dir</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskOutputs</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The output directory. The given path is evaluated as per <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>.</dd>
<dt><span class="strong">Returns:</span></dt><dd>a property builder to further configure this property.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/tasks/TaskPropertyBuilder.html" title="interface in org.gradle.api.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/TaskOutputs.html" target="_top">Frames</a></li>
<li><a href="TaskOutputs.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
